//
// Created by postaron on 27/09/24.
//

#include "hello_world.hpp"
#include <iostream>

namespace learn_gtkmm4 {
    HelloWorld::HelloWorld() : m_button("Hello world!") {
        set_title("Hello world!");
        set_default_size(720, 1280);
        add_action("Open");
        add_action("Quit");
        set_show_menubar();
        m_button.set_margin(10);
        m_button.signal_clicked().connect(sigc::mem_fun(*this, &HelloWorld::on_button_clicked));
        set_child(m_button);
    }

    void HelloWorld::on_button_clicked() {
        std::cout << "Hello World" << std::endl;
    }
} // learn_gtkmm4